> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/platform/guides/developer-guide/ui-developer-guide/digit-ui-components0.2.0/foundation/colour-pallete.md).

# Colour Pallete

The DIGIT Colour palette provides a flexible and accessible range of colours designed to enhance digital experiences across platforms. These colours ensure consistency and usability across applications while supporting a wide range of use cases.

## DIGIT Colours

***

This colour palette picker only shows the latest version (6.0.0) of DIGIT Colours. For now, the available Colours are only for the light theme.

| Name               | Hex Code  | Preview                          |
| ------------------ | --------- | -------------------------------- |
| Primary1           | `#C84C0E` | ![](/files/8RaYX6Nw8HdjcfQm7HhE) |
| Primary2           | `#0B4B66` | ![](/files/AwEcaEHtiSCbZD58Cb4M) |
| PrimaryBG          | `#FBEEE8` | ![](/files/il6kHGHYKyPHayVVkUc5) |
| textPrimary        | `#363636` | ![](/files/jF2FkuU1dzpklmMsh0jH) |
| textSecondary      | `#787878` | ![](/files/7PNtEGLBaFk2GYAN8tXr) |
| textDisabled       | `#C5C5C5` | ![](/files/tP1x1VA51Ff1P11ZrYsk) |
| paperPrimary       | `#FFFFFF` | ![](/files/AgdGLHBzX6dGWER2Zjkk) |
| paperSecondary     | `#FAFAFA` | ![](/files/nAyFHBkQ3FWG8MyRkujT) |
| alertSuccess       | `#00703C` | ![](/files/ZWYVzlPu3B2f3FQR4daT) |
| alertSuccessBg     | `#F1FFF8` | ![](/files/cWV5asV1BwFCaMzy8mDP) |
| alertError         | `#B91900` | ![](/files/uNYpYg3HPDugZzfjrYBr) |
| alertErrorBg       | `#FFF5F4` | ![](/files/S3iAaVCPiUrWnBfIgv0x) |
| alertWarning       | `#EA8D00` | ![](/files/YIpycbCgisvjWHlBeLKJ) |
| alertWarningBg     | `#FFF9F0` | ![](/files/I24K5hfPQYVIVNMqc50n) |
| alertInfo          | `#0057BD` | ![](/files/vGT3Rsjp5B2yL0mW9CZ6) |
| alertInfoBg        | #`DEEFFF` | ![](/files/50g8W3NVY3VDD4MPAbu4) |
| genericDivider     | `#D6D5D4` | ![](/files/PrX8p6eQUzMRpcgm8kxw) |
| genericBackground  | `#EEEEEE` | ![](/files/xwt6gHTfgqF3ltodwOde) |
| genericInputBorder | `#505A5F` | ![](/files/WzpaBJzcdOTezFBdSn3i) |

## Usages Guidelines

***

| <p><strong>Consistent Palette</strong></p><p>Always use colours defined in the library to ensure consistency across the application. </p><p></p><p>Avoid using custom colours unless necessary and approved by the design system.</p>                            | ![](/files/wx08LDRXy5PwWKRelAEZ) |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------- |
| <p><strong>Purpose-Driven Colours</strong></p><p>Apply colours based on their intended purpose. For instance, use primary colours for buttons and links, secondary colours for accents, and background colours for general layout sections.</p>                  | ![](/files/LFysuwYmKgraXfTCUj1U) |
| <p><strong>Contrast & Accessibility</strong></p><p>Ensure that text and important elements have enough contrast against their background. This guarantees readability and accessibility for all users, especially those with visual impairments.</p>             | ![](/files/Nn12RH6aVVmM7IxNNNK9) |
| <p><strong>Limit Colour Usage</strong></p><p>Avoid excessive use of bright or bold colours, particularly in the body text or background areas. Stick to a clean, minimalist design by using a maximum of 3 to 4 main colours in a given layout or component.</p> | ![](/files/xriLFrdWfdMDkLlljDfN) |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digit.org/platform/guides/developer-guide/ui-developer-guide/digit-ui-components0.2.0/foundation/colour-pallete.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
